CUTLASS: cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Attributes | List of all members
cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true > Struct Template Reference

RowArrangement in which each warp's access is a 2D tiled arrangement.

`#include <output_tile_thread_map.h>`

## Classes
struct | Detail

## Static Public Attributes
static int const | kMemoryAccessSize = 128
static int const | kWarpSize = 32
static int const | kElementsPerAccess = ElementsPerAccess
static int const | kElementSize = ElementSize
static int const | kAccessWidth
static int const | kAccessRows
static int const | kIterationsRow = Detail::kShapeRow / kAccessRows
static int const | kDeltaRow = kAccessRows
static int const | kIterationsColumn = Detail::kShapeWidth / kAccessWidth
static int const | kDeltaColumn = kAccessWidth * kElementsPerAccess
static int const | kWarpPartitionsRow = 1
static int const | kWarpPartitionsColumn = 1

## Member Data Documentation

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kAccessRows
| static

Initial value:
=
(Detail::kTargetAccessRows > Detail::kShapeRow ?
Detail::kShapeRow
: const_min(Shape::kRow, kWarpSize / kAccessWidth))
template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kAccessWidth
| static

Initial value:
=
(Detail::kTargetAccessRows > Detail::kShapeRow ?
kWarpSize / Detail::kShapeRow
: const_min(
Detail::kShapeWidth,
const_min(kWarpSize, kMemoryAccessSize / (kElementsPerAccess * kElementSize / 8))
))
template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kDeltaColumn = kAccessWidth * kElementsPerAccess
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kDeltaRow = kAccessRows
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kElementSize = ElementSize
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kElementsPerAccess = ElementsPerAccess
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kIterationsColumn = Detail::kShapeWidth / kAccessWidth
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kIterationsRow = Detail::kShapeRow / kAccessRows
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kMemoryAccessSize = 128
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kWarpPartitionsColumn = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kWarpPartitionsRow = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, true >::kWarpSize = 32
| static

The documentation for this struct was generated from the following file:

- output_tile_thread_map.h